Bug 604639 - TypeError: unsupported operand type(s) for *: 'float' and 'Decimal'
Summary: TypeError: unsupported operand type(s) for *: 'float' and 'Decimal'
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:d5b0d9799867b498e...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 12:01 UTC by Ales Kozumplik
Modified: 2014-09-30 23:39 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.52-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (213.45 KB, text/plain)
2010-06-16 12:01 UTC, Ales Kozumplik
no flags Details

Description Ales Kozumplik 2010-06-16 12:01:25 UTC
The following was filed automatically by anaconda:
anaconda 13.21.51 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 446, in _createStripe
    slcstr = "%s\n%.0f MB" % (_("Free"), float(drive.size * xlength))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 302, in setDisplayed
    self.stripe = self._createStripe(obj)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1255, in treeSelectCB
    self.stripeGraph.setDisplayed(device.parents[0])
TypeError: unsupported operand type(s) for *: 'float' and 'Decimal'

Comment 1 Ales Kozumplik 2010-06-16 12:01:30 UTC
Created attachment 424421 [details]
Attached traceback automatically from anaconda.

Comment 3 Ales Kozumplik 2010-06-16 12:04:18 UTC
1) installed rhel6 on an ext4 partition (that is no LVM)
2) run the installer again, chose fresh install
3) chose 'shrink existing partitions', chose to shrink the original root partition
4) chose 'review and modify...'
5) on the partitioning screen went berzerk deleting every volume possible
6) saw the traceback
7) became a sad panda

Comment 4 RHEL Product and Program Management 2010-06-16 12:13:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Alexander Todorov 2010-07-05 09:46:55 UTC
Tested with snapshot #7. 

1) Created a  system with /boot, swap and / on ext4
2) On the second install first selected to shrink the current system and review the partitioning layout.
3) Anaconda was able to shrink the root partition and create LVM layout in the available space (there was plenty of space available). 
4) Deleted all partitions and logical volumes one by one - No traceback.
5) Manually created customized LVM configuration (with some free space in the VG).

Install completed and there was no traceback at all. Moving to VERIFIED.

Comment 7 releng-rhel@redhat.com 2010-11-10 19:48:23 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.